Page MenuHomePhabricator

Create Phabricator bot account for Striker
Closed, ResolvedPublic

Description

Striker needs a Phabricator bot account with membership in the Repository-Admins group. This account will be used by Striker to create new diffusion repositories.

Event Timeline

bd808 created this task.Aug 9 2016, 10:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2016, 10:56 PM

At some point it is likely that Striker will also have use for a Wikitech bot account, so I could do what I did for @Stashbot and just create the account via Wikitech and attach to Phabricator. @mmodell do you have a preference?

@bd808: I'm not sure I have a preference but it sounds like maybe a better idea to create the account through wikitech since I don't think we can attach a bot account to ldap after-the-fact.

jayvdb updated the task description. (Show Details)Aug 10 2016, 4:14 AM

@mmodell I went ahead and made the @StrikerBot account via a wikitech LDAP association. Can you use your database super powers to set the "bot" flag on it like you did for @Stashbot?

bd808 moved this task from Backlog to Doing on the Striker board.Aug 16 2016, 10:56 PM

@mmodell I went ahead and made the @StrikerBot account via a wikitech LDAP association. Can you use your database super powers to set the "bot" flag on it like you did for @Stashbot?

ping @mmodell

mmodell closed this task as Resolved.Aug 24 2016, 5:46 AM
mmodell claimed this task.
bd808 moved this task from Doing to Done on the Striker board.Mar 4 2017, 3:57 AM